<?php

require_once APP_DIR . 'libs/View.php';

class PageNotFoundController

{

    private $_view;



    public function __construct()

    {

        $this->_view  = new View();

    }



    public function index()

    {

        $this->_view->loadPlugins(['global/plugins.bundle.css'], false);

        $this->_view->loadCss(['style.bundle.css']);

        $this->_view->loadPlugins(['global/plugins.bundle.js'], true);

        $this->_view->loadJs(['scripts.bundle.js']);

        $this->_view->setVal('body_id', 'kt_body');

        $this->_view->setVal('body_class', 'auth-bg bgi-size-cover bgi-position-center bgi-no-repeat');

        $this->_view->setVal('meta_title', 'Page Not Found');

        $this->_view->setVal('meta_description', 'Page Not Found');

        $this->_view->setVal('meta_keyword', 'Page Not Found');

        $this->_view->renderAdmin(VIEW_DIR . 'page-not-found');

    }

}

